This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274926 - Red Hat Access causes window-list to create bogus window button that crashes gnome-shell
Red Hat Access causes window-list to create bogus window button that crashes ...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 17:30 EDT by rudolf
Modified: 2017-10-03 21:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (441.16 KB, image/png)
2015-10-24 13:19 EDT, rudolf
no flags Details
log after alt+tab (2.52 KB, text/plain)
2015-10-24 13:26 EDT, rudolf
no flags Details

  None (edit)
Description rudolf 2015-10-23 17:30:12 EDT
Version-Release number of selected component (if applicable):
7.2 beta

How reproducible:
always

Steps to Reproduce:
1.Open Red Hat Access, login, search for something
2.Doubleclick any article and immediately minimize RHA window
3.Article window will show
4.Minimize and unminimize it
5.Window-list will create bogus windows button called "Red Hat Access", at this point, in journalctl:

Oct 23 23:16:23 rhel.home.local gnome-session[18122]: (gnome-shell:20773): mutter-CRITICAL **: meta_window_set_stack_position_no_sync: assertion 'window->stack_position >= 0' failed
Oct 23 23:16:09 rhel.home.local gnome-session[18122]: (gnome-shell:20773): mutter-CRITICAL **: meta_window_set_stack_position_no_sync: assertion 'window->stack_position >= 0' failed
Oct 23 23:15:22 rhel.home.local gnome-session[18122]: (gnome-shell:20773): mutter-CRITICAL **: meta_window_set_stack_position_no_sync: assertion 'window->stack_position >= 0' failed

6. Close RHA and bogus window button will remain in window-list, it can't be closed
7. Right click on it, click maximize and shell will crash:

Oct 23 23:20:30 rhel.home.local kernel: gnome-shell[20773]: segfault at 28 ip 00007f79a67fa1c5 sp 00007ffd54873100 error 4 in libmutter.so.0.0.0[7f79a67a2000+e8000]


Additional info:
I'm not sure if gnome-shell is correct component, seems to me that bug can be in RHA, gnome-shell, or window-list extension
Comment 2 rudolf 2015-10-24 13:19 EDT
Created attachment 1086116 [details]
screenshot

Bogus window buttons are created everytime I (un)minimize *newly opened* Red Hat Access article. Screenshot shows typical result of using RHA app for a while.
Comment 3 rudolf 2015-10-24 13:26 EDT
Created attachment 1086117 [details]
log after alt+tab

It also breaks alt+tab. Lines in log are after hitting alt+tab single time.

Note You need to log in before you can comment on or make changes to this bug.